<?php

if (!defined('BASEPATH'))    exit('No direct script access allowed');

class Palestra extends CI_Controller
{
    public function __construct() {
        parent::__construct();
        
        $this->check_aluno();
        
    }
    
    private function check_aluno()
    {
        $id_fic = $this->session->userdata('imazon_id_fic');
        
        $this->load->model("Palestra_model",'pl');
        $is_verificado = $this->pl->check_aluno($id_fic);
        
        if( !$is_verificado )
        {
            redirect("cursos");
        }
    }

    public function index()
    {
        $palestra = $this->cliente_palestra();
        
        $dados = ['palestra'=>$palestra];
        $data = ['titulo' => 'Palestras', 'palavra_chave' => 'Imazon Cursos Palestras'];
        
        $this->parser->parse('site/include/head', $data);
        $this->load->view('aluno/tela/palestra', $dados);
    }
    
    
    public function cliente_palestra()
    {
        if(  $this->session->userdata('imazon_logado')!== null  )
        {
            $id_fic = $this->session->userdata('imazon_id_fic');
             $this->load->model("usuarios_model", "um");
            $aluno = $this->um->get_by_id_fic($id_fic)->result_array();
            $dados_aluno = $aluno[0];
            
            //echo '<pre>';var_dump($dados_aluno);die;
            $params['autenticacao']['chave'] = IMAZON_CHAVE;
            $params['autenticacao']['token'] = IMAZON_TOKEN;

            $params['usuario']['id_unico'] = md5($dados_aluno['id_fic']);
            $params['usuario']['nome'] = $dados_aluno['nome'];
            $params['usuario']['email'] = $dados_aluno['email'];
            //$params['usuario']['documento'] = '';

            //$params['usuario']['situacao_cadastro'] = '1';
            $params['usuario']['documento'] = $dados_aluno['rg'];
            $params['usuario']['assinatura'] = '';
            
            //var_dump($dados_aluno['rg']);die;
            
            $dados_json = json_encode($params);
            
            //var_dump($dados_json);die;
            
            $url = URL_PALESTRA;
            
            $ch = curl_init($url);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($ch, CURLINFO_HEADER_OUT, true);
            curl_setopt($ch, CURLOPT_POST, true);
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
            curl_setopt($ch, CURLOPT_POSTFIELDS, $dados_json);
            curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
            curl_setopt($ch, CURLOPT_POSTREDIR, 3);

            // Set HTTP Header for POST request 
            curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                'Content-Type: application/json',
                'Content-Length: ' . strlen($dados_json))
            );
            
            // Submit the POST request
            $result = curl_exec($ch);
            //var_dump( decodifica($result) );die;
            
            $this->session->set_userdata(['auth_palestra'=>$result]);
            // Close cURL session handle
            //echo $result;
            //var_dump($result);die;
            curl_close($ch);
            return $result;
        }
        else
        {
            echo 'Usuário deslogado';
        }
            
    }
}